/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */
// Copyright (C) 1999 Matthias Clasen, Peter Nilsson
// See the file COPYING for copying permissions.


/* these are needed for GNU gettext */
#define ENABLE_NLS 1
/* #undef HAVE_CATGETS */
#define HAVE_GETTEXT 1
#define HAVE_LC_MESSAGES 1
#define HAVE_STPCPY 1

/* set this to the default catalog files list */
#define SGML_CATALOG_FILES_DEFAULT "/usr/local/share/sgml/catalog:/usr/local/lib/sgml/catalog:/usr/lib/sgml/catalog"

/* set this to the default SGML search path */
#define SGML_SEARCH_PATH_DEFAULT "/usr/local/share/sgml:/usr/local/lib/sgml:/usr/lib/sgml"

/* define this if h_errno should be declared extern int */
/* #undef SP_DECLARE_H_ERRNO */

/* define this if memmove  should be declared extern "C" */
/* #undef DECLARE_MEMMOVE */

/* define this if strerror should be declared extern "C" */
/* #undef DECLARE_STRERROR */

/* define this if sockets are available */
#define SP_HAVE_SOCKET 1

/* define this appropriately if the type sig_atomic_t is not available */
/* #undef sig_atomic_t */

/* define this if your system misses new.h */
/* #undef SP_NEW_H_MISSING */

/* define this if  set_new_handler() has to be declared extern "C" */
/* #undef SP_SET_NEW_HANDLER_EXTERN_C */

/* define this to build a multi-byte version */
#define SP_MULTI_BYTE 1

/* define this to include template definitions in the headers */
#define SP_DEFINE_TEMPLATES 1

/* define this to compile explicit template instantiations */
/* #undef SP_MANUAL_INST */

/* define this if the new handler takes size_t and returns int. */
/* #undef SP_FANCY_NEW_HANDLER */

/* set this to the path separator */
#define PATH_SEPARATOR ':'

/* Define if you have the gettext() function */
#define HAVE_GETTEXT 1

/*** I think everything below this line can safely be ignored ***/

/* if this is not set it defaults to 200 */
/* #undef DEFAULT_ERROR_LIMIT */

/* define this if you can't or don't want to use the builtin assert() macro */
/* #undef SP_USE_OWN_ASSERT */

/* set these to the line term character(s) */
/* #undef SP_LINE_TERM1 */
/* #undef SP_LINE_TERM2 */

/*** I think everything below this line is windows only ***/

/* define this to use win32 mutex mechanisms */
/* #undef SP_MUTEX_WIN32 */

/* define this if _setmode is supported */
/* #undef SP_HAVE_SETMODE */

/* define this to not compile message texts in */
/* #undef SP_NO_MESSAGE_TEXT */

/* define the following to build a dll */
/* #undef SP_USE_DLL */
/* #undef SP_DLLEXPORT */
/* #undef SP_DLLIMPORT */

/* define this if the OS provides wide character interfaces */
/* #undef SP_WIDE_SYSTEM */

/* define this to enable precompiled header support */
/* #undef SP_PCH */

/* the location we install our messages */
#define SP_LOCALE_DIR "/usr/share/locale"



/*
#error The stuff above TOP goes to the top of config.h.in
#error What appears below BOTTOM goes to the bottom
#error This text should not appear anywhere!
*/


/* Define to one of `_getb67', `GETB67', `getb67' for Cray-2 and Cray-YMP
   systems. This function is required for `alloca.c' support on those systems.
   */
/* #undef CRAY_STACKSEG_END */

/* Define if using `alloca.c'. */
/* #undef C_ALLOCA */

/* Define to 1 if translation of program messages to the user's native
   language is requested. */
#define ENABLE_NLS 1

/* Define if you have `alloca', as a function or macro. */
#define HAVE_ALLOCA 1

/* Define if you have <alloca.h> and it should be used (not on Ultrix). */
#define HAVE_ALLOCA_H 1

/* Define if you have the <argz.h> header file. */
#define HAVE_ARGZ_H 1

/* define if bool is a built-in type */
#define HAVE_BOOL 

/* Define if you have the <cassert> header file. */
#define HAVE_CASSERT 1

/* Define if you have the `dcgettext' function. */
#define HAVE_DCGETTEXT 1

/* Define if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* define if the compiler supports dynamic_cast<> */
#define HAVE_DYNAMIC_CAST 

/* Define if you have the `feof_unlocked' function. */
#define HAVE_FEOF_UNLOCKED 1

/* Define if you have the `fgets_unlocked' function. */
#define HAVE_FGETS_UNLOCKED 1

/* Define if you have the `getcwd' function. */
#define HAVE_GETCWD 1

/* Define if you have the `getegid' function. */
#define HAVE_GETEGID 1

/* Define if you have the `geteuid' function. */
#define HAVE_GETEUID 1

/* Define if you have the `getgid' function. */
#define HAVE_GETGID 1

/* Define if you have the `getpagesize' function. */
#define HAVE_GETPAGESIZE 1

/* Define if the GNU gettext() function is already present or preinstalled. */
#define HAVE_GETTEXT 1

/* Define if you have the `getuid' function. */
#define HAVE_GETUID 1

/* Define if you have the iconv() function. */
#define HAVE_ICONV 1

/* define if the compiler supports explicit instantiations */
#define HAVE_INSTANTIATIONS 

/* Define if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define if you have the <io.h> header file. */
/* #undef HAVE_IO_H */

/* Define if you have <langinfo.h> and nl_langinfo(CODESET). */
#define HAVE_LANGINFO_CODESET 1

/* Define if your <locale.h> file defines LC_MESSAGES. */
#define HAVE_LC_MESSAGES 1

/* Define if you have the `pthread' library (-lpthread). */
#define HAVE_LIBPTHREAD 1

/* Define if you have the `threads' library (-lthreads). */
/* #undef HAVE_LIBTHREADS */

/* Define if you have the <limits.h> header file. */
#define HAVE_LIMITS_H 1

/* Define if you have the <locale.h> header file. */
#define HAVE_LOCALE_H 1

/* Define if you have the <malloc.h> header file. */
#define HAVE_MALLOC_H 1

/* Define if you have the `memcmp' function. */
#define HAVE_MEMCMP 1

/* Define if you have the `memmove' function. */
#define HAVE_MEMMOVE 1

/* Define if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define if you have the `mempcpy' function. */
#define HAVE_MEMPCPY 1

/* Define if you have a working `mmap' system call. */
#define HAVE_MMAP 1

/* Define if you have the `munmap' function. */
#define HAVE_MUNMAP 1

/* define if the compiler supports the mutable keyword */
#define HAVE_MUTABLE 

/* define if the compiler implements namespaces */
#define HAVE_NAMESPACES 

/* define if the C++ compiler supports the std namespace */
#define HAVE_NAMESPACE_STD 1

/* Define if you have the <new> header file. */
#define HAVE_NEW 1

/* define if the compiler accepts the new for scoping rules */
#define HAVE_NEW_FOR_SCOPING 

/* Define if you have the <nl_types.h> header file. */
#define HAVE_NL_TYPES_H 1

/* Define if you have the <osfcn.h> header file. */
/* #undef HAVE_OSFCN_H */

/* define if the compiler supports placement operator delete */
/* #undef HAVE_PLACEMENT_OPERATOR_DELETE */

/* define if placement operator new is declared */
#define HAVE_PLACEMENT_OPERATOR_NEW 1

/* Define if you have the `putenv' function. */
#define HAVE_PUTENV 1

/* Define if you have the `setenv' function. */
#define HAVE_SETENV 1

/* Define if you have the `setlocale' function. */
#define HAVE_SETLOCALE 1

/* Define if you have the <stddef.h> header file. */
#define HAVE_STDDEF_H 1

/* Define if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define if you have the `stpcpy' function. */
#define HAVE_STPCPY 1

/* Define if you have the `strcasecmp' function. */
#define HAVE_STRCASECMP 1

/* Define if you have the `strchr' function. */
#define HAVE_STRCHR 1

/* Define if you have the `strdup' function. */
#define HAVE_STRDUP 1

/* Define if you have the `strerror' function. */
#define HAVE_STRERROR 1

/* Define if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define if you have the `strtoul' function. */
#define HAVE_STRTOUL 1

/* Define if `st_blksize' is member of `struct stat'. */
#define HAVE_STRUCT_STAT_ST_BLKSIZE 1

/* Define if your `struct stat' has `st_blksize'. Deprecated, use
   `HAVE_STRUCT_STAT_ST_BLKSIZE' instead. */
#define HAVE_ST_BLKSIZE 1

/* Define if you have the <sys/param.h> header file. */
#define HAVE_SYS_PARAM_H 1

/* Define if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define if you have the `tsearch' function. */
#define HAVE_TSEARCH 1

/* define if the compiler recognizes typename */
#define HAVE_TYPENAME 

/* Define if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define if you have the `__argz_count' function. */
#define HAVE___ARGZ_COUNT 1

/* Define if you have the `__argz_next' function. */
#define HAVE___ARGZ_NEXT 1

/* Define if you have the `__argz_stringify' function. */
#define HAVE___ARGZ_STRINGIFY 1

/* Define as const if the declaration of iconv() needs const. */
#define ICONV_CONST 

/* Name of package */
/* #undef PACKAGE */

/* set this to the default catalog files list */
#define SGML_CATALOG_FILES_DEFAULT "/usr/local/share/sgml/catalog:/usr/local/lib/sgml/catalog:/usr/lib/sgml/catalog"

/* set this to the default SGML search path */
#define SGML_SEARCH_PATH_DEFAULT "/usr/local/share/sgml:/usr/local/lib/sgml:/usr/lib/sgml"

/* The size of a `bool', as computed by sizeof. */
#define SIZEOF_BOOL 8

/* The size of a `size_t', as computed by sizeof. */
#define SIZEOF_SIZE_T 8

/* The size of a `unsigned int', as computed by sizeof. */
#define SIZEOF_UNSIGNED_INT 4

/* The size of a `unsigned short', as computed by sizeof. */
#define SIZEOF_UNSIGNED_SHORT 2

/* The size of a `wchar_t', as computed by sizeof. */
#define SIZEOF_WCHAR_T 4

/* define this if h_errno should be declared extern int */
/* #undef SP_DECLARE_H_ERRNO */

/* define this to include template definitions in the headers */
#define SP_DEFINE_TEMPLATES 1

/* define this if the new handler takes size_t and returns int */
/* #undef SP_FANCY_NEW_HANDLER */

/* define this if sockets are available */
#define SP_HAVE_SOCKET 1

/* location of message catalogs */
#define SP_LOCALE_DIR "/usr/share/locale"

/* define this to compile explicit template instantiations */
/* #undef SP_MANUAL_INST */

/* message domain */
#define SP_MESSAGE_DOMAIN "sp"

/* define this to build a multi-byte version */
#define SP_MULTI_BYTE 1

/* define this if your system misses new.h */
/* #undef SP_NEW_H_MISSING */

/* Package name */
#define SP_PACKAGE "OpenSP"

/* define this if set_new_handler() has to be declared extern "C" */
/* #undef SP_SET_NEW_HANDLER_EXTERN_C */

/* Package version */
#define SP_VERSION "1.5pre6"

/* If using the C implementation of alloca, define if you know the
   direction of stack growth for your system; otherwise it will be
   automatically deduced at run-time.
        STACK_DIRECTION > 0 => grows toward higher addresses
        STACK_DIRECTION < 0 => grows toward lower addresses
        STACK_DIRECTION = 0 => direction of growth unknown */
/* #undef STACK_DIRECTION */

/* Define if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Version number of package */
/* #undef VERSION */

/* Define if your processor stores words with the most significant byte first
   (like Motorola and SPARC, unlike Intel and VAX). */
/* #undef WORDS_BIGENDIAN */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define as `__inline' if that's what the C compiler calls it, or to nothing
   if it is not supported. */
/* #undef inline */

/* Define to `long' if <sys/types.h> does not define. */
/* #undef off_t */

/* Define to `int' if <sys/types.h> does not define. */
/* #undef sig_atomic_t */

/* Define to `unsigned' if <sys/types.h> does not define. */
/* #undef size_t */

/* do not change below this line */
/* derived flags and dependencies between flags */

#ifdef HAVE_UNISTD_H
#define SP_INCLUDE_UNISTD_H
#endif

#ifdef HAVE_IO_H
/* #undef SP_INCLUDE_IO_H */
#endif

#ifdef HAVE_OSFCN_H
/* #undef SP_INCLUDE_OSFCN_H */
#endif

#ifndef SP_MSDOS_FILENAMES
#define SP_POSIX_FILENAMES
#endif

#ifdef SP_WIDE_SYSTEM
#define SP_MULTI_BYTE
#endif

#ifdef HAVE_ST_BLKSIZE
#define SP_STAT_BLKSIZE
#endif

#ifdef HAVE_BOOL
#define SP_HAVE_BOOL
#endif /* HAVE_BOOL */

#ifdef HAVE_TYPENAME
#define SP_HAVE_TYPENAME
#endif /* HAVE_TYPENAME */

#if (SIZEOF_BOOL == 1)
#define SP_SIZEOF_BOOL_1
#endif

#if (SIZEOF_WCHAR_T == SIZEOF_UNSIGNED_SHORT)
#define SP_WCHAR_T_USHORT
#endif

#ifdef SP_HAVE_SETMODE
#ifndef SP_LINE_TERM1
#define SP_LINE_TERM1 '\r'
#define SP_LINE_TERM2 '\n'
#endif
#endif /* not SP_HAVE_SETMODE */

#ifndef SP_LINE_TERM1
#define SP_LINE_TERM1 '\n'
#endif

#ifndef HAVE_NEW_FOR_SCOPING
// This simulates the new ANSI "for" scope rules
#define for if (0); else for
#endif /* HAVE_NEW_FOR_SCOPING */

#ifndef SP_HAVE_TYPENAME
#define typename /* as nothing */
#endif

#ifndef SP_DLLEXPORT
#define SP_DLLEXPORT /* as nothing */
#endif

#ifndef SP_DLLIMPORT
#define SP_DLLIMPORT /* as nothing */
#endif

#ifdef SP_USE_DLL

#ifdef BUILD_LIBSP
#define SP_API SP_DLLEXPORT
#else
#define SP_API SP_DLLIMPORT
#endif

#else /* not SP_USE_DLL */

#define SP_API /* as nothing */

#endif /* not SP_USE_DLL */

#ifdef SP_WIDE_SYSTEM
#ifndef SP_MULTI_BYTE
#define SP_MULTI_BYTE
#endif
#endif

#ifdef HAVE_NAMESPACES
#define SP_NAMESPACE OpenSP
#endif /* HAVE_NAMESPACES */

#ifdef SP_NAMESPACE
#define SP_NAMESPACE_SCOPE SP_NAMESPACE::
#else
#define SP_NAMESPACE_SCOPE
#endif /* SP_NAMESPACE */

#ifdef HAVE_DYNAMIC_CAST
#define SP_HAVE_RTTI
#endif /* HAVE_DYNAMIC_CAST */

#ifdef HAVE_PATHNAME_STYLE_DOS
#define SP_MSDOS_FILENAMES
#else
#define SP_POSIX_FILENAMES
#endif /* HAVE_PATHNAME_STYLE_DOS */

#ifdef HAVE_INSTANTIATIONS
#define SP_ANSI_CLASS_INST
#endif /* HAVE_INSTANTIATIONS */

#ifdef HAVE_SETLOCALE
#define SP_HAVE_LOCALE
#endif /* HAVE_SETLOCALE */

#if defined(HAVE_GETTEXT) && defined(ENABLE_NLS)
#define SP_HAVE_GETTEXT
#endif /* HAVE_GETTEXT && ENABLE_NLS */

#ifdef WORDS_BIGENDIAN
#define SP_BIG_ENDIAN
#endif /* WORDS_BIGENDIAN */

#ifdef HAVE_LIBTHREADS
#define SP_MUTEX_MACH
#endif /* HAVE_LIBTHREADS */

#ifdef HAVE_LIBPTHREAD
#define SP_MUTEX_PTHREADS
#endif /* HAVE_LIBPTHREAD */

#ifdef HAVE_PLACEMENT_OPERATOR_DELETE
#define SP_HAVE_PLACEMENT_OPERATOR_DELETE
#endif /* HAVE_PLACEMENT_OPERATOR_DELETE */

#ifndef HAVE_PLACEMENT_OPERATOR_NEW
#define SP_DECLARE_PLACEMENT_OPERATOR_NEW
#endif /* HAVE_PLACEMENT_OPERATOR_NEW */

#ifndef HAVE_NAMESPACE_STD
#define SP_NO_STD_NAMESPACE
#endif /* HAVE_NAMESPACE_STD */

#if defined(HAVE_NEW) && defined(HAVE_CASSERT)
#define SP_ANSI_LIB 1
#endif /* HAVE_NEW && HAVE_CASSERT */

#ifndef HAVE_MUTABLE
#define mutable
#endif /* HAVE_MUTABLE */
